aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorcbdev <cb@cbcdn.com>2020-03-15 12:19:50 +0100
committercbdev <cb@cbcdn.com>2020-03-15 12:19:50 +0100
commit6da00154f7745a4705047fc73ce42b7036b0bbdc (patch)
tree8c62c377827ccd0291ba17047e3bcdff3d9ccb64
parent05cdf563fcc4c7835ec422fa5d7ee86b68a9f1df (diff)
downloadmidimonster-6da00154f7745a4705047fc73ce42b7036b0bbdc.tar.gz
midimonster-6da00154f7745a4705047fc73ce42b7036b0bbdc.tar.bz2
midimonster-6da00154f7745a4705047fc73ce42b7036b0bbdc.zip
Fix build and CI exits
-rw-r--r--.travis-ci.sh14
-rw-r--r--backend.c4
-rw-r--r--midimonster.c4
3 files changed, 13 insertions, 9 deletions
diff --git a/.travis-ci.sh b/.travis-ci.sh
index 3b7d7f5..c832f2c 100644
--- a/.travis-ci.sh
+++ b/.travis-ci.sh
@@ -21,7 +21,7 @@ if [ "$TASK" = "spellcheck" ]; then
fi
# Run codespell to find some more
- cs_results=$(xargs codespell --quiet 2 --regex "[a-zA-Z0-9][\\-'a-zA-Z0-9]+[a-zA-Z0-9]" <<< "$spellcheck_files" 2>&1)
+ cs_results=$(xargs codespell --quiet 2 <<< "$spellcheck_files" 2>&1)
cs_errors=$(wc -l <<< "$cs_results")
if [ "$cs_errors" -ne 0 ]; then
printf "Codespell found %s errors:\n\n" "$cs_errors"
@@ -62,11 +62,15 @@ elif [ "$TASK" = "codesmell" ]; then
elif [ "$TASK" = "sanitize" ]; then
# Run sanitized compile
travis_fold start "make_sanitize"
- make sanitize;
+ if make sanitize; then
+ exit "$?"
+ fi
travis_fold end "make_sanitize"
elif [ "$TASK" = "windows" ]; then
travis_fold start "make_windows"
- make windows;
+ if make windows; then
+ exit "$?"
+ fi
make -C backends lua.dll
travis_fold end "make_windows"
if [ "$(git describe)" == "$(git describe --abbrev=0)" ]; then
@@ -87,7 +91,9 @@ elif [ "$TASK" = "windows" ]; then
else
# Otherwise compile as normal
travis_fold start "make"
- make full;
+ if make full; then
+ exit "$?"
+ fi
travis_fold end "make"
if [ "$(git describe)" == "$(git describe --abbrev=0)" ]; then
travis_fold start "deploy_unix"
diff --git a/backend.c b/backend.c
index 65cbd7d..cb8bf3f 100644
--- a/backend.c
+++ b/backend.c
@@ -311,6 +311,9 @@ int backends_stop(){
size_t u, n;
instance** inst = NULL;
+ //channels before instances to support proper shutdown procedures
+ channels_free();
+
//shut down the registry
for(u = 0; u < registry.n; u++){
//fetch list of instances
@@ -335,7 +338,6 @@ int backends_stop(){
registry.instances[u] = NULL;
}
- channels_free();
free(registry.backends);
free(registry.instances);
registry.n = 0;
diff --git a/midimonster.c b/midimonster.c
index 2b0b7a0..8e217e7 100644
--- a/midimonster.c
+++ b/midimonster.c
@@ -466,8 +466,6 @@ int main(int argc, char** argv){
if(config_read(cfg_file)){
fprintf(stderr, "Failed to read configuration file %s\n", cfg_file);
backends_stop();
- channels_free();
- instances_free();
map_free();
fds_free();
plugins_close();
@@ -497,8 +495,6 @@ int main(int argc, char** argv){
bail:
//free all data
backends_stop();
- channels_free();
- instances_free();
map_free();
fds_free();
event_free();